<?php
define('KZEVENT_THEME', PLX_ROOT.$plxMotor->aConf['racine_themes'].$plxMotor->style . '/');

include KZEVENT_THEME . 'header.php';

$kzEventsPlugin = $plxMotor->plxPlugins->aPlugins['kzEvents'];
?>
	<main class="main">
		<div class="container">
			<div class="grid">
				<div class="content col sml-12 med-9">
					<ul class="repertory menu breadcrumb">
						<li><a href="<?php $plxShow->racine() ?>"><?php $plxShow->lang('HOME'); ?></a></li>
						<li><?php $plxShow->catName(); ?></li>
					</ul>
					<p><?php $plxShow->catDescription('#cat_description'); ?></p>
					<p><?php $plxShow->catThumbnail(); ?></p>
<?php
$pattern = '#num_day #month #num_year(4) - #hourh#minute';
$patternSameDay = '#hourh#minute';
$searchAndReplace = array('-', 'T', ':',);

while($plxShow->plxMotor->plxRecord_arts->loop()) {
	$record = $plxMotor->plxRecord_arts;
	$dateEvent = $record->f(kzEvents::FIELDNAME);
	$dateEventClosedOn = $record->f(kzEvents::FIELDNAME1);
	$fileEvent = $record->f(kzEvents::FIELDNAME2);
?>
					<article class="article" id="post-<?php echo $plxShow->artId(); ?>">
						<header>
							<h2><?php $plxShow->artTitle('link'); ?></h2>
							<ul>
								<li>
									<?php $kzEventsPlugin->lang('ARTICLE_EVENT'); ?> :
									<span class="art-date"><time datetime="<?php $plxShow->artDate('#num_year(4)-#num_month-#num_day'); ?>"><?= plxDate::formatDate(str_replace($searchAndReplace, '', $dateEvent) , $pattern); ?></time></span>
								</li>
<?php
	if(!empty($dateEventClosedOn)) {
		# La date de fin de l'évènement est précisée
		# On modifie le format d'affichage de la date si l'évènement ne dure qu'une journée
		$patternClosedOn = (substr($dateEvent, 0, 10) == substr($dateEventClosedOn, 0, 10)) ? $patternSameDay : $pattern;
?>
								<li>
									<?php $kzEventsPlugin->lang('ARTICLE_EVENT_CLOSED_ON'); ?> :
									<span class="art-date"><time datetime="<?php $plxShow->artDate('#num_year(4)-#num_month-#num_day'); ?>"><?= plxDate::formatDate(str_replace($searchAndReplace, '', $dateEventClosedOn) , $patternClosedOn); ?></time></span>
								</li>
<?php
	}
		$extraFields = array(
			array(kzEvents::FIELDNAME3, 'RULES_EVENT', false, 'art-rules') ,
			array(kzEvents::FIELDNAME4, 'LOCATION_EVENT', false, 'art-location'),
		);
		foreach($extraFields as [$fieldname, $caption, $isHref, $classList]) {
			$value = $record->f($fieldname);
			if(!empty($value)) {
				if($isHref) {
?>
								<li><a href="<?= $value ?>" target="_blank"><?php $kzEventsPlugin->lang($caption); ?></a></li>
<?php
				} else {
?>
								<li><span><?php $kzEventsPlugin->lang($caption); ?></span> : <span class="<?= $classList ?>"><?= $value ?></span></li>
<?php
				}
			}
		}
?>
								<li>
									<?php $kzEventsPlugin->lang('ARTICLE_PUBLISHED_ON') ?> :
									<span class="art-date">
										<time datetime="<?php $plxShow->artDate('#num_year(4)-#num_month-#num_day'); ?>"><?php $plxShow->artDate('#num_day #month #num_year(4)'); ?></time>
									</span>
								</li>
							</ul>
<?php
	if(!empty($fileEvent)) {
?>
			<p><a href="<?= $fileEvent ?>" target="_blank"><?php $kzEventsPlugin->lang('FILE_EVENT'); ?></a></p>
<?php
	}
?>
							<div>
								<small>
									<span class="written-by">
										<?php $plxShow->lang('WRITTEN_BY'); ?> <?php $plxShow->artAuthor() ?>
									</span>
									<span class="art-nb-com">
										<?php $plxShow->artNbCom(); ?>
									</span>
								</small>
							</div>
							<div>
								<small>
									<span class="classified-in">
										<?php $plxShow->lang('CLASSIFIED_IN') ?> : <?php $plxShow->artCat() ?>
									</span>
									<span class="tags">
										<?php $plxShow->lang('TAGS') ?> : <?php $plxShow->artTags() ?>
									</span>
								</small>
							</div>
						</header>
						<?php $plxShow->artThumbnail(); ?>
						<?php $plxShow->artChapo(); ?>
					</article>
<?php
}
?>
					<nav class="pagination text-center">
						<?php $plxShow->pagination(); ?>
					</nav>
					<?php $plxShow->artFeed('rss',$plxShow->catId(), '<span><a href="#feedUrl" title="#feedTitle">#feedName</a></span>'); ?>

				</div>

<?php
if(empty($kzEventsPlugin->getParam('without_sidebar'))) {
	include KZEVENT_THEME .'/sidebar.php';
}
?>
			</div>
		</div>
	</main>
<?php
include KZEVENT_THEME . 'footer.php';
