<?php
if(!defined('PLX_ROOT')) {
	exit;
}

# Control du token du formulaire
plxToken::validateFormToken($_POST);

$request_query = 'parametres_plugin.php?p=' . $plugin;

$aFilterCat = array(
	'000' => $plxPlugin->getLang('NO_CAT'),
	'home' => L_CATEGORY_HOME,
);
foreach($plxAdmin->aCats as $catId=>$values) {
	$aFilterCat[$catId] = plxUtils::strCheck($values['name']);
}

$filterEvents  = array(
	'all' => $plxPlugin->getLang('ALL_EVENTS'),
	'after' => $plxPlugin->getLang('NEXT_EVENTS'),
	'before' => $plxPlugin->getLang('PAST_EVENTS'),
);

if(
	isset($_POST['cat']) and array_key_exists($_POST['cat'], $aFilterCat) and
	isset($_POST['filter']) and array_key_exists($_POST['filter'], $filterEvents) and
	isset($_POST['use_template']) and in_array(intval($_POST['use_template']), array(0,1)) and
	isset($_POST['without_sidebar']) and in_array(intval($_POST['without_sidebar']), array(0,1))
) {
	$plxPlugin->setParam('cat', $_POST['cat'], 'string');
	$plxPlugin->setParam('filter', $_POST['filter'], 'string');
	$plxPlugin->setParam('use_template', intval($_POST['use_template']), 'numeric');
	$plxPlugin->setParam('without_sidebar', intval($_POST['without_sidebar']), 'numeric');
	$plxPlugin->saveParams();
	header('Location: ' . $request_query);
	exit;
}

?>
<h3 class="text-center"><?php $plxPlugin->lang('TITLE_CONFIG'); ?></h3>
<form action="<?= $request_query ?>" method="post">
	<?= plxToken::getTokenPostMethod() ?>
	<fieldset>
		<div>
			<div class="grid">
				<div class="col med-5 label-centered">
					<label for="id_cat"><?php $plxPlugin->lang('CATEGORY'); ?></label>
				</div>
				<div class="col med-7">
					<?php plxUtils::printSelect('cat', $aFilterCat, $plxPlugin->getParam('cat')); ?>
				</div>
			</div>
			<div class="grid">
				<div class="col med-5 label-centered">
					<label for="id_cat"><?php $plxPlugin->lang('USE_TEMPLATE_PLUGIN'); ?></label>
				</div>
				<div class="col med-7">
					<?php plxUtils::printSelect('use_template', array(0=>L_NO, 1=>L_YES), $plxPlugin->getParam('use_template')); ?>
				</div>
			</div>
			<div class="grid">
				<div class="col med-5 label-centered">
					<label for="id_cat"><?php $plxPlugin->lang('WITHOUT_SIDEBAR'); ?></label>
				</div>
				<div class="col med-7">
					<?php plxUtils::printSelect('without_sidebar', array(0=>L_NO, 1=>L_YES), $plxPlugin->getParam('without_sidebar')); ?>
				</div>
			</div>
			<div class="grid">
				<div class="col med-5 label-centered">
					<label for="id_cat"><?php $plxPlugin->lang('FILTER_EVENTS'); ?></label>
				</div>
				<div class="col med-7">
					<?php plxUtils::printSelect('filter', $filterEvents, $plxPlugin->getParam('filter')); ?>
				</div>
			</div>
		</div>
	</fieldset>
	<div class="in-action-bar">
		<input type="submit" value="<?= L_ARTICLE_UPDATE_BUTTON ?>">
	</div>
</form>
