<?php
/*
 * Alternative :
 * $this->callHook('kzEvent', $value); avec $value : parmi '', 'after', 'before', 'all'.
 * '' d'abord les ébvènements à venir par date croissante, puis les évènements passés par date décroissante
 * 'after' : Tous les évènements à venir par date croissante
 * 'before' : Tous les évènements passés par date décroissante
 * 'all' : tous les évènements passés ou futurs par date croissante
 * */

if(class_exists('kzEvents') and $this->callHook('kzEvent', 'after')) {
	$pattern = '#num_day #month #num_year(4) - #hourh#minute';
	$patternSameDay = '#hourh#minute';
	$searchAndReplace = array('-', 'T', ':',);
	$kzEventsPlugin = $this->plxMotor->plxPlugins->aPlugins['kzEvents'];
	while($this->plxMotor->plxRecord_arts->loop()) {
		$dateEvent = $this->plxMotor->plxRecord_arts->f(kzEvents::FIELDNAME);
		$dateEventClosedOn = $this->plxMotor->plxRecord_arts->f(kzEvents::FIELDNAME1);
?>
	<article class="article" id="post-<?= $this->artId(); ?>">
		<header>
			<p>
				<span class="art-date kzEvent">
					<?php $kzEventsPlugin->lang('ARTICLE_EVENT'); ?> :
					<time datetime="<?= $dateEvent ?>" title="<?php $kzEventsPlugin->lang('ARTICLE_EVENT') ?>"><?= plxDate::formatDate(str_replace($searchAndReplace, '', $dateEvent) , $pattern); ?></time>
				</span>
<?php
		if(!empty($dateEventClosedOn)) {
			# La date de fin de l'évènement est précisée
			# On modifie le format d'affichage de la date si l'évènement ne dure qu'une journée
			$patternClosedOn = (substr($dateEvent, 0, 10) == substr($dateEventClosedOn, 0, 10)) ? $patternSameDay : $pattern;
?>
				/
				<span class="art-date kzEventClosedOn">
					<?php $kzEventsPlugin->lang('ARTICLE_EVENT_CLOSED_ON'); ?> :
					<time datetime="<?= $dateEventClosedOn ?>" title="<?php $kzEventsPlugin->lang('ARTICLE_EVENT_CLOSED_ON') ?>"><?= plxDate::formatDate(str_replace($searchAndReplace, '', $dateEventClosedOn) , $patternClosedOn); ?></time>
				</span>
<?php
		}
?>
				/
				<span class="art-date">
					<?php $kzEventsPlugin->lang('ARTICLE_PUBLISHED_ON') ?> :
					<time datetime="<?php $this->artDate('#num_year(4)-#num_month-#num_day'); ?>" title="<?php $kzEventsPlugin->lang('ARTICLE_PUBLISHED_ON'); ?>"><?php $this->artDate('#num_day #month #num_year(4)'); ?></time>
				</span>
			</p>
<?php
		$extraFields = array(
			array(kzEvents::FIELDNAME3, 'RULES_EVENT', false, 'art-rules') ,
			array(kzEvents::FIELDNAME4, 'LOCATION_EVENT', false, 'art-location'),
			array(kzEvents::FIELDNAME2, 'FILE_EVENT', true, 'art-fileEvent'),
		);
		foreach($extraFields as [$fieldname, $caption, $isHref, $classList]) {
			$value = $this->plxMotor->plxRecord_arts->f($fieldname);
			if(!empty($value)) {
				if($isHref) {
?>
			<p class="<?= $classList ?>"><a href="<?= $value ?>" target="_blank"><?php $kzEventsPlugin->lang($caption); ?></a></p>
<?php
				} else {
?>
			<p class="<?= $classList ?>"><span><?php $kzEventsPlugin->lang($caption); ?></span> : <span><?= $value ?></span></p>
<?php
				}
			}
		}
?>
			<h2>
				<?php $this->artTitle('link'); ?>
			</h2>
			<div>
				<small>
					<span class="written-by"><?php $this->lang('WRITTEN_BY'); ?> <?php $this->artAuthor() ?></span>
					<span class="art-nb-com"><?php $this->artNbCom(); ?></span>
				</small>
			</div>
			<div>
				<small>
					<span class="classified-in"><?php $this->lang('CLASSIFIED_IN') ?> : <?php $this->artCat() ?></span>
					<span class="tags"><?php $this->lang('TAGS') ?> : <?php $this->artTags() ?></span>
				</small>
			</div>
		</header>
		<?php $this->artThumbnail(); ?>
		<?php $this->artChapo(); ?>
	</article>
<?php
	}
}
